Package com.independentsoft.office.word.styles

# Enum Class StyleType

java.lang.Object
java.lang.Enum<StyleType>
com.independentsoft.office.word.styles.StyleType

All Implemented Interfaces:
  `Serializable`, `Comparable<StyleType>`, `Constable`

public enum StyleType extends Enum<StyleType>
The Enum StyleType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CHARACTER`
  `NONE`
  `NUMBERING`
  `PARAGRAPH`
  `TABLE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static StyleType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static StyleType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CHARACTER

    public static final StyleType CHARACTER

  - ### NUMBERING

    public static final StyleType NUMBERING

  - ### PARAGRAPH

    public static final StyleType PARAGRAPH

  - ### TABLE

    public static final StyleType TABLE

  - ### NONE

    public static final StyleType NONE

- ## Method Details

  - ### values

    public static StyleType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static StyleType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null